#include <windows.h>

/*****************************nick****************************/

extern HANDLE hOutPut;


//the font color
#define  FTBLUE        FOREGROUND_BLUE 
#define	 FTGREEN       FOREGROUND_GREEN 
#define	 FTRED         FOREGROUND_RED 
#define	 FTPURPLE      FOREGROUND_BLUE|FOREGROUND_RED
#define	 FTGREY        FOREGROUND_BLUE|FOREGROUND_GREEN
#define	 FTBROWN	   FOREGROUND_RED|FOREGROUND_GREEN
#define	 FTWHITE       FOREGROUND_BLUE|FOREGROUND_GREEN|FOREGROUND_RED
#define	 FTINTENSITY   FOREGROUND_INTENSITY

//the background color
#define	 BKBLUE        BACKGROUND_BLUE 
#define  BKGREEN       BACKGROUND_GREEN 
#define	 BKRED         BACKGROUND_RED 
#define	 BKPURPLE      BACKGROUND_BLUE|BACKGROUND_RED
#define	 BKGREY        BACKGROUND_BLUE|BACKGROUND_GREEN
#define	 BKBROWN	   BACKGROUND_RED|BACKGROUND_GREEN
#define	 BKWHITE       BACKGROUND_BLUE|BACKGROUND_GREEN|BACKGROUND_RED
#define	 BKINTENSITY   BACKGROUND_INTENSITY

#define DefaultFontColor           FTRED
#define DefaultBKGroundColor       BKWHITE
#define DefaultFrameColor          BKGREY
#define DefaultIndexFontColor      FTWHITE
#define DefaultIndexBKGroundColor  BKBLUE
#define DefaultIndexFrameColor     BKBLUE
#define DefaultHighLightFont	   FTINTENSITY

//board
#define DefaultBoardSize		   15
#define MaxBoardSize			   20
#define DefaultBoard_x             2
#define DefaultBoard_y             2

#define DefaultCharacter           0
#define DefaultTokenLength         7
#define MinimumLengthOfWord		   2
#define MaxInputBufferLength	   20

//background
#define DefaultScreenBKColor    BKGREEN
#define DefaultScreenFTColor    FTWHITE

#define DefaultScreenWidth        120
#define DefaultScreenHeight       70

//inputArea
#define DefaultInputArea_x        60
#define DefaultInputArea_y        30
#define DefaultInputAreaHeight    5
#define DefaultInputAreaWidth     10
#define DefaultInputAreaBKColor   BKBLUE 
#define DefaultInputAreaFTColor   FTWHITE


#define LetterCount               26
#define MaxLengthOfWord			  20
#define DefaultInputPositionRow   30
#define DefaultInputPositionCol   30

//rack
#define DefaultSelectedBKGColor   BKINTENSITY
#define DefaultSelectedFontColor  FTBROWN

#define DefaultLetterRack_x             45
#define DefaultLetterRack_y             15
#define DefaultCardRack_x               45
#define DefaultCardRack_y               20


//card back color
#define DefaultCardBackBKGroundColor BKBROWN
#define DefaultCardBackFontColor     FTBLUE

//bag
#define BagTokenNumber    0
#define BagTokenPoints    1
#define DefaultNumberOfToken   100
//#define DefaultBlankTokenValue  255
//#define DefaultBlandTokenIndex  26

//coord of bag
#define DefaultBag_x      60
#define DefaultBag_y      25

//deck
#define DefaultPlayedDeck_x   50
#define DefaultPlayedDeck_y   25
#define DefaultPlayingDeck_x  55
#define DefaultPlayingDeck_y  25

/*
enum Suit
{Club=5, Diamond=4, Heart=3, Spade=6};
*/
#define Club           5
#define Diamond        4
#define Heart          3
#define Spade          6

//menu index
//Menu starts from 1 	
#define  WAITINGMENUCHOICE  0						
#define 	PICKCARD        1 
#define 	SELECTCARD     2
#define		SELECTLETTER   3 
#define 	TRADE		    4     
#define 	DISCARD         5  
#define 	FORMWORD	    6  
#define 	CANCEL		    7   
#define 	ENDROUND	   8 
#define 	QUIT		    9     

//message						
#define   INPUTPLACEWORDINFO  10
#define   INVALIDCARDSTRADING 11
#define   INPUTEXCHANGELETTER 12
#define  CANNOTEXCHANGELETTER 13
#define  INPUTDIRECTION       14
#define  INPUTROW             15
#define  INPUTCOL	           16
#define  INVALIDINDEXENTERED   17
#define  INVALIDWORDFORMED     18
#define  UNABLEPLACEWORD       19
#define  PLAYERALREADYPICKED   20
#define  PLAYERALREADYFORMED   21
#define  PLAYERALREADYTRADED   22
#define  INVALIDDICTIONARYFILENAME  23
#define  TRYUSEDEFAULTFILENAME  24
#define  INVALIDROWCOLNUMBER    25
#define  INPUTFIRSTPLAYERNAME   26
#define  INPUTSECONDPLAYERNAME  27
#define  PRESSANYKEYTOSTART     28

//logo 
#define DefaultLogo_x   15
#define DefaultLogo_y   10


//menu
#define  DefaultMenu_x  0
#define  DefaultMenu_y  MaxHeightScreen-2
#define DefaultMenuFontColor       FTGREY
#define DefaultMenuBKGroundColor   BKWHITE
#define DefaultMenuSelectedBKGroundColor BKRED

//frame
#define DefaultFrameBKColor    BKBLUE
#define DefaultFrameFTColor     FTPURPLE
#define DefaultFrameChar       '*'


/****************************nick*****************************/

//***********************David Start***********************
#define MaxLengthScreen  80//160
#define MaxHeightScreen  40//81

#define CountOfButtons   18
#define MenuSpace         4

#define DefaultSystemMessageLength  36

//echo is the same as string
#define DefaultEchoLength		14
#define DefaultEchoX			58
#define DefaultEchoY			30

#define DefaultWordLength		10
#define DefaultWordX			58
#define DefaultWordY			32

#define DefaultStringLength		14
#define DefaultStringX			58
#define DefaultStringY			30



#define DefaultFrameHight			1

//***********************David End*************************

//***********************Charles Start*********************
#define DefaultScoreBoard_X     48
#define DefaultScoreBoard_Y    5
#define DefaultScoreBoardWidth 10
#define DefaultSelectedPlayerBKColor BKPURPLE

//#define PlayerMaxWidth 10
//#define PlayerMaxLength 6
//#define BackgroundArea "          "
//#define FrameArea "                       "

//***********************Charles End***********************