#include "frame.h"

//the height and width are the one of region, not that of frame
void CFrame::setFrame(int theX, int theY, int theHeight, int theWidth)
{
	ch=DefaultFrameChar;
	//change to that of frame
	////must at least 1!!!
	if (theX*theY==0||theX+theWidth+2>DefaultScreenWidth||theY+theHeight+2>DefaultScreenHeight)
	{
		return;
	}
	x=theX-1;
	y=theY-1;
	height=theHeight+2;
	width=theWidth+2;
	pixel.setValue(ch);
	pixel.setBKGroundColor(DefaultFrameBKColor);
	pixel.setFontColor(DefaultFrameFTColor);
}


void CFrame::show()
{
	for (int i=0; i<height; i++)
	{
		pixel.display(x, y+i);
		pixel.display(x+width-1, y+i);
	}
	for (i=0; i<width; i++)
	{
		pixel.display(x+i, y);
		pixel.display(x+i, y+height-1);
	}
}