#include "RoverType.h"
#include "tiles.h"
#include "frame.h"

const int MsgStrCount=29;

class CMessage: public CTiles
{
private:
	CTiles tiles[MsgStrCount];
	CTile echo[DefaultEchoLength];
	CTile word[DefaultWordLength];
	CTiles string;

	int currentEcho;
	int currentWord;

	CFrame frameSystemMessage;
	CFrame frameEcho;
	CFrame frameWord;
	CFrame frameString;
	void initialize();
public:
	CMessage();	

	void showMessage(int msgID);//the id should be define in rovertype.h
	void clearAll();
	void showInt(int num);
	void showChar(char ch);
	void clearEcho();
	void showWord(char ch);
	void clearWord();
	void showString(char *);
	void clearString();
	void show();
	void clear(int x, int y, int len);
	

};


/*

*/