#ifndef TOKENS_H
#define TOKENS_H

#include "token.h"


class CTokens
{
protected:
	CToken* tokens;
	int len;
	int pos;
	WORD ftColor;
	WORD bkColor;
	WORD frColor;
	bool isVertical;//default is false
	void initialize();	
	bool pushToken(const CToken& token);
	bool popToken(CToken& token);
public:
	CTokens(int theLen=DefaultTokenLength);
	CTokens(const char* str);
	CToken& operator[](unsigned short index){ return tokens[index];}
	void setDirection(bool beVertical){isVertical=beVertical;}
	void setLength(int size);
	void setValue(const char* str);
	void setFontColor(WORD theColor);
	void setBKGroundColor(WORD theColor);
	void setFrameColor(WORD theColor);
	virtual ~CTokens();
	void display(int x, int y);
	//initialize the position of starting stack pos
	void setStackPos(int startPos=0){ pos=startPos;}
	void shuffle();
};

#endif