#include "background.h"



CBackGround::CBackGround(int theRow, int theCol, int theHeight, int theWidth)
{
	COORD coord;
	bkColor=DefaultScreenBKColor;
	ftColor=DefaultScreenFTColor;
	width=theWidth;
	height=theHeight;
	row=theRow;
	col=theCol;
	if (hOutPut==0)
	{
		hOutPut=GetStdHandle(STD_OUTPUT_HANDLE);
		SetConsoleTitle("WordRover");
		CONSOLE_CURSOR_INFO cursorInfo;
		cursorInfo.bVisible=false;
		cursorInfo.dwSize=50;
		SetConsoleCursorInfo(hOutPut, &cursorInfo);
		coord.X = DefaultInputPositionCol;
		coord.Y = DefaultInputPositionRow;
		SetConsoleCursorPosition(hOutPut, coord);
	}
	show();
	//SetConsoleTextAttribute(hOutPut, bkColor|ftColor);
}


void CBackGround::show()
{
	char ch=0;
	COORD coord;
	for (int r=row; r<row+height; r++)
	{
		for (int c=col; c<col+width; c++)
		{	
			coord.X=c;
			coord.Y=r;
			FillConsoleOutputAttribute(hOutPut, ftColor|bkColor, 1, coord, NULL);
			FillConsoleOutputCharacter(hOutPut, ch, 1, coord, NULL);
		}
	}
}

CInputArea::CInputArea():CBackGround(DefaultInputArea_y, DefaultInputArea_x,
		DefaultInputAreaHeight, DefaultInputAreaWidth)
{
	COORD coord;
	coord.X = DefaultInputArea_x;
	coord.Y = DefaultInputArea_y;
	bkColor=DefaultInputAreaBKColor;
	ftColor=DefaultInputAreaFTColor;
	CONSOLE_CURSOR_INFO cursorInfo;
	cursorInfo.bVisible=true;
	cursorInfo.dwSize=50;
	SetConsoleCursorInfo(hOutPut, &cursorInfo);
//	coord.X = DefaultInputPositionCol;
//	coord.Y = DefaultInputPositionRow;
	SetConsoleCursorPosition(hOutPut, coord);
	show();
}