#include "ScoreBoard.h"

CScoreBoard::CScoreBoard()
{
	initialize();
}

void CScoreBoard::initialize()
{
	turn=0;
	frame.setFrame(DefaultScoreBoard_X, DefaultScoreBoard_Y, 3,
		DefaultScoreBoardWidth*2);
	frame.show();
	for (int c=0; c<2; c++)
	{
		for (int r=1; r<3; r++)
		{
			scores[c][r].setNumber(0);
		}
	}
}

void CScoreBoard::doSetName(int index, char* theName)
{
	scores[index][0].setValue(theName);
}

void CScoreBoard::setPlayerName(char* first, char* second)
{
	doSetName(0, first);
	doSetName(1, second);
}
	
void CScoreBoard::show()
{
	scores[turn][0].setBKGroundColor(DefaultSelectedPlayerBKColor);
	for (int c=0; c<2; c++)
	{
		for (int r=0; r<3; r++)
		{
			scores[c][r].display(DefaultScoreBoard_X+c*DefaultScoreBoardWidth, 
				DefaultScoreBoard_Y+r);
		}
	}
	frame.show();
}

void CScoreBoard::switchCurrentPlayer()
{
	scores[turn][0].setBKGroundColor(DefaultBKGroundColor);
	turn=(turn+1)%2;
	scores[turn][0].setBKGroundColor(DefaultSelectedPlayerBKColor);
}

void CScoreBoard::setPlayerScore(int theScore)
{
	int total;
	total=scores[turn][2].getNumber();
	scores[turn][1].setNumber(theScore);
	scores[turn][2].setNumber(theScore+total);
}


