#include "message.h"
//#include "background.h"

//CInputArea  D;


char* msgStr[MsgStrCount]=
{
	"CHOOSE FROM MENU BY PRESSING 1-9",
	"PICK A CARD",
	"ENTER THE CARD INDEX TO BE SELECTED",
	"ENTER THE LETTER INDEX TO BE SELECTED",
	"TRADE		  ",
	"DISCARD       ",
	"FORMWORD	  ",
	"CANCEL		  ",
	"ENDROUND	  ",
	"QUIT		  ",
	"INPUTPLACEWORDINFO ",
	"INVALIDCARDSTRADING",
	"EXCHANGE FOR WHICH LETTER?",
	"CANNOT EXCHANGE FOR THE LETTER",
	"ENTER THE DIRECTION <H/V> TO PLACE THE WORD",
	"ENTER THE ROW NUMBER TO PLACE THE WORD",
	"ENTER THE COLUMN NUMBER TO PLACE THE WORD",
	"INDEX ENTERED IS INVALID",
	"WORD FORMED IS INVALID",
	"UNABLE TO PLACE THE WORD",
	"PLAYER ALREADY PICKED A CARD",
	"PLAYER ALREADY FORMED A WORD",
	"PLAYER ALREADY TRADED",
	"INVALIDDICTIONARYFILENAME",
	"TRYUSEDEFAULTFILENAME",
	"INVALID ROW/COLUMN NUMBER",
	"ENTER FIRST PLAYER'S NAME",
	"ENTER SECOND PLAYER'S NAME",
	"PRESS ANY KEY TO START" 	
};




void CMessage::initialize()
{
	currentEcho=currentWord=0;
	frameSystemMessage.setFrame(DefaultInputArea_x, DefaultInputArea_y,DefaultFrameHight, 
		DefaultSystemMessageLength);
	frameEcho.setFrame(DefaultEchoX, DefaultEchoY,DefaultFrameHight, DefaultEchoLength);
	frameWord.setFrame(DefaultWordX, DefaultWordY,DefaultFrameHight, DefaultWordLength);
	frameString.setFrame(DefaultStringX, DefaultStringY,DefaultFrameHight, 
		DefaultStringLength);
}

void CMessage::show()
{
	frameSystemMessage.show();
	frameWord.show();
	frameEcho.show();
	frameString.show();
}

CMessage::CMessage()
{
	for (int i=0; i<MsgStrCount; i++)
	{
		tiles[i].setValue(msgStr[i]);
	}
	initialize();
	show();
//	this->frameSystemMessage.setFrame(DefaultInputArea_x, DefaultInputArea_y,DefaultFrameHight, DefaultSystemMessageLength);
//	this->frameSystemMessage.show();
//	this->frameEcho.setFrame(DefaultInputArea_x, DefaultInputArea_y+3,DefaultFrameHight, DefaultSystemMessageLength);
//	this->frameEcho.setFrame(DefaultEchoX, DefaultEchoY,DefaultFrameHight, DefaultEchoLength);
//	this->frameEcho.show();
//	this->frameWord.setFrame(DefaultWordX, DefaultWordY,DefaultFrameHight, DefaultWordLength);
//	this->frameWord.show();
//	this->frameString.setFrame(DefaultStringX, DefaultStringY,DefaultFrameHight, DefaultStringLength);
//	this->frameString.show();
}

void CMessage::showMessage(int msgID)
{

	this->clear(DefaultInputArea_x, DefaultInputArea_y, DefaultSystemMessageLength);
	tiles[msgID].display(DefaultInputArea_x, DefaultInputArea_y);
}

void CMessage::clear(int x, int y, int len)
{
	CTiles whiteTiles;
	whiteTiles.setLength(len);
	whiteTiles.display(x, y);
}

void CMessage::showChar(char ch)
{
	if (currentEcho+1==DefaultEchoLength)
	{
		clearEcho();
		currentEcho=0;
	}
	echo[currentEcho].setValue(ch);
	echo[currentEcho].display(DefaultEchoX+currentEcho, DefaultEchoY);
	currentEcho++;
}

void CMessage::showInt(int anInt)
{
	char buffer[6];
	int len;
	itoa(anInt, buffer, 10);
	len=strlen(buffer);
	if (currentEcho + len+1>DefaultEchoLength)
	{
		clearEcho();
		currentEcho = 0;
	}
	for (int i=0; i<len; i++)
	{
		echo[currentEcho].setValue(buffer[i]);
		echo[currentEcho].display(DefaultEchoX+currentEcho, DefaultEchoY);
		currentEcho++;
	}

	
	//echo[this->currentEcho].setValue(char(anInt));
	//this->echo[this->currentEcho].display(DefaultEchoX+this->currentEcho, DefaultEchoY);
}



void CMessage::clearEcho()
{
	this->clear(DefaultEchoX, DefaultEchoY, DefaultEchoLength);
}

void CMessage::showWord(char anChar)
{
	//this->currentWord = ( this->currentWord + 1) % DefaultWordLength;
	word[this->currentWord].setValue(anChar);
	word[this->currentWord].display(DefaultWordX+currentWord, DefaultWordY);
	currentWord++;
}

void CMessage::clearWord()
{
	this->clear(DefaultWordX, DefaultWordY, DefaultWordLength);
}

void CMessage::showString(char* str)
{
	clear(DefaultStringX, DefaultStringY, DefaultStringLength);
	string.setValue(str);
	string.display(DefaultStringX, DefaultStringY);
}

void CMessage::clearString()
{
	clear(DefaultStringX, DefaultStringY, DefaultStringLength);
}

void CMessage::clearAll()
{
	currentEcho=currentWord=0;
	clearEcho();
	clearWord();
	clearString();
}

