#ifndef TILES_H
#define TILES_H

#include "tile.h"

class CTiles
{
private:
	CTile* tiles;
	int len;
	WORD ftColor;
	WORD bkColor;
	bool isVertical;
	void initialize();	
public:
	CTiles(const char* str);
	CTiles();
	virtual	~CTiles();
	void setDirection(bool beVertical){ isVertical=beVertical;}
	CTile& operator[](int index){return tiles[index];}
	void setFontColor(WORD theColor){ftColor=theColor;}
	void setBKGroundColor(WORD theColor){bkColor=theColor;}
	int getLength(){return len;}
	void display(int x, int y);
	void setValue(const char* str);
	void setLength(int size);
	void setNumber(int num);
	int getNumber();
};

#endif